List collection orders for a project
GET
/v1/projects/{projectId}/collection-orderscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statusstring可选值draftopenin_progressfulfilledcancelledclosed
响应
Success
- dataarray<CollectionOrderDto>必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- orderNumberstring必填
- titlestring必填
- descriptionstring | null必填
- statusstring必填
- targetSkillsJsonobject必填
- targetEmbodimentJsonobject必填
- targetSceneJsonobject必填
- sourceMetadataSchemaJsonobject | null必填
- acceptanceRulesobject必填
- templateIdstring | null必填
- segmentationJobIdstring | null必填
- deadlineAtstring | null必填
- acceptedQuantitynumber必填
- targetQuantitynumber | null必填
- outstandingReworkCountnumber必填
- outstandingReworkarray<CollectionDeliveryOutstandingReworkDto>必填
- openedAtstring | null必填
- closedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
- metaobject必填
- pageSizenumber必填
- requestIdstring
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"orderNumber": "string",
"title": "string",
"description": "string",
"status": "string",
"targetSkillsJson": {},
"targetEmbodimentJson": {},
"targetSceneJson": {},
"sourceMetadataSchemaJson": {},
"acceptanceRules": {
"blockingChecks": [
"string"
],
"thresholds": {},
"sampling": {
"rate": 0,
"firstPerCollector": 0
},
"rerecordOnReject": false
},
"templateId": "string",
"segmentationJobId": "string",
"deadlineAt": "string",
"acceptedQuantity": 0,
"targetQuantity": 0,
"outstandingReworkCount": 0,
"outstandingRework": [
{
"repairTaskId": "string",
"sourceId": "string",
"status": "string",
"severity": "string"
}
],
"openedAt": "string",
"closedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1